Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037925
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Warehouse Pickingmajoralways2018-02-15 10:552018-03-02 21:18
ReporterngarciaView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisione015455f3384
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Todmiguelez
Regression introduced in release
Summary

0037925: Cannot process a picking list if Movement Quantity is higher than ordered quantity (Is Quantity Variable feature)

DescriptionCannot process a picking list if Movement Quantity is higher than ordered quantity (Is Quantity Variable feature)
Steps To ReproduceAs System Admin role:
   Set Is Quantity Variable field displayed in Product window

As group admin role:
   Create a new product
   Set it as Is Quantity Variable
   Add a sales price to it

   Create a Goods Receipt, add 10 units of the product and complete it
   Create a Sales Order, add 6 units of the product and book it
   Generate Picking List:
      Direct Picking List to Customer
   Go to Warehouse Picking List window, edit the line and set 10 units in Movement Quantity field
   Try to process the picking list and check the following error is shown:
      "ERROR: Cannot take out reserved stock of Product: <>, Attribute Set Instance: -, UOM: <> and Storage Bin: <>"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038093 closedAtulOpenbravo QA After the fix of 28645 should not be possible to enter a reservation greater than the sales order. However it is possible  

-  Notes
(0102571)
markmm82 (developer)
2018-02-21 21:21

As System Admin role:
   Set Is Quantity Variable field displayed in Product window

As group admin role:
   Set 'Enable Stock Reservations' preference to Y
   Apply module's dataset
   Log out and log in

   Create a new product
   Set it as Is Quantity Variable
   Add a sales price to it

   Create a Goods Receipt, add 10 units of the product and complete it
   Create a Sales Order, add 6 units of the product and book it
   Generate Picking List:
      Direct Picking List to Customer
   Go to Warehouse Picking List window, edit the line and set 10 units in Movement Quantity field
   Try to process the picking list and check no error is shown and the process ends successfully.
(0102920)
hgbot (developer)
2018-03-02 13:22

Repository: erp/devel/pi
Changeset: e015455f338474fe3fec2868ed71b75934a903ae
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Mar 02 13:22:31 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e015455f338474fe3fec2868ed71b75934a903ae [^]

Fixes Issue 37925.

When checking the pending quantity while doing a Reservation Consumption,
use the reserved quantity of the Reservation instead of the quantity (which
is the originally requested quantity)

To consume a Reservation, the actual reserved quantity is the amount
that should be used.

---
M src-db/database/model/functions/M_RESERVATION_CONSUMPTION.xml
---
(0102921)
dmiguelez (developer)
2018-03-02 13:25

Code Review + Testing Ok
(0102922)
dmiguelez (developer)
2018-03-02 13:26

Fix has been done for release PR18Q2 of Openbravo Core
(0102964)
hudsonbot (developer)
2018-03-02 21:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/05dece3dc80b [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-02-15 10:55 ngarcia New Issue
2018-02-15 10:55 ngarcia Assigned To => Triage Finance
2018-02-15 10:55 ngarcia Issue Monitored: networkb
2018-02-15 18:33 dmiguelez Assigned To Triage Finance => markmm82
2018-02-15 22:35 Practics Issue Monitored: Practics
2018-02-20 23:38 markmm82 Status new => scheduled
2018-02-21 21:21 markmm82 Note Added: 0102571
2018-03-02 13:22 hgbot Checkin
2018-03-02 13:22 hgbot Note Added: 0102920
2018-03-02 13:22 hgbot Status scheduled => resolved
2018-03-02 13:22 hgbot Resolution open => fixed
2018-03-02 13:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e015455f338474fe3fec2868ed71b75934a903ae [^]
2018-03-02 13:25 dmiguelez Review Assigned To => dmiguelez
2018-03-02 13:25 dmiguelez Note Added: 0102921
2018-03-02 13:25 dmiguelez Status resolved => closed
2018-03-02 13:26 dmiguelez Note Added: 0102922
2018-03-02 21:18 hudsonbot Checkin
2018-03-02 21:18 hudsonbot Note Added: 0102964
2018-03-16 08:51 aferraz Relationship added related to 0038093


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker